> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-9/v9-4-0-80508.md).

# Version 9.4.0.80508 Changelog (October 12th, 2022)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 9.4.0.80508
* Release Date: October 12th, 2022
* Built with Xcode 13.4.1 (13F100)

## New

* Added an API to control the visibility of the activity indicator or progress spinner while the document is loaded: `PTDocumentBaseViewController.hidesProgressSpinner`
* Added an API to control where documents are cached on-disk: `PTDocumentBaseViewController.documentManager.documentCacheDirectoryURL`
* Added an API to control creation and editing of count measurement annotations: `PTToolManager.countAnnotationOptions`
* Added accessibility titles to toolbar buttons in tool-group toolbar.
* Added an API to customize the "Opening PDF..." text shown while loading a PDF in the viewer: `PTDocumentBaseViewController.documentLoadingMessage`

## Bug fixes

* Fix for signature being stamped outside of signature field when the keyboard is visible before tapping the signature field.
* Fix for keyboard focussing on another text field when tapping on a read only field.
* Fixed incorrect rotation of XFDF-imported free text annotations.
* Fix for Callout annotation being misplaced when the document is scrolled up because of the keyboard.
* Fixed PDFViewCtrl not being deallocated and leaking memory.
* Fixed GoToR actions that link back to the document itself.
* Fix for new pages added after the current page instead of the page selected.
* Fix for editing a link annotation with an invalid Action causing a crash.
* Fix for restricting editing and deletion of disabled annotation types in annotation list.
* Fixed a crash in the outline list that only occurs on iOS 12.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/changelogs/version-9/v9-4-0-80508.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
